Bug 131274 - mail/vpopmail: vpopmail + openldap core dump
Summary: mail/vpopmail: vpopmail + openldap core dump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-02 04:30 UTC by Suzuki
Modified: 2009-11-27 09:06 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Suzuki 2009-02-02 04:30:00 UTC
qmail + vpopmail + openldap 
core dump by the addition of the virtual domain

Fix: 

-    lm = (LDAPMod **)safe_malloc(sizeof(LDAPMod *) * 2);
+    lm = (LDAPMod **)safe_malloc(sizeof(LDAPMod *) * 3);

     lm[0] = (LDAPMod *)safe_malloc(sizeof(LDAPMod));

     lm[1] = (LDAPMod *)safe_malloc(sizeof(LDAPMod));
     lm[2] = NULL;--WVuJHNHnqZemg2bf1RACrUfbWwq3cyjlCvigI8UMa3b9fiHb
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- vldap.c.orig        2008-12-08 16:32:34.000000000 +0900
+++ vldap.c     2008-12-08 16:49:00.000000000 +0900
@@ -661,10 +691,10 @@
         }
     }
How-To-Repeat: vpopmail compile option:
 WITHOUT_FILE_LOCKING=yes WITH_LDAP=yes WITH_SMTP_AUTH_PATCH=yes  WITH_LDAP_SASL=yes WITH_DEBUG=yes WITHOUT_CRAM_MD5=yes


> sudo vadddomain mydomain.dom
Comment 1 Suzuki 2009-02-02 08:11:53 UTC
apply patch to mail/vpopmail

-- 
Satoru
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2009-02-02 08:41:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

Over to maintainer.
Comment 3 dfilter service freebsd_committer 2009-11-26 19:02:33 UTC
roam        2009-11-26 19:02:19 UTC

  FreeBSD ports repository

  Modified files:
    mail/vpopmail        Makefile distinfo pkg-plist 
    mail/vpopmail/files  Makefile.in-noportdocs.patch 
                         patch-Makefile.in patch-README.onchange 
                         patch-README.vdelivermail 
                         patch-README.vpopmaild patch-authvchkpw.c 
                         patch-backfill.c patch-cdb-Makefile 
                         patch-config.h.in patch-configure 
                         patch-vdelivermail.c patch-vlist.c 
                         patch-vlistlib.c patch-vmysql.c 
                         patch-vpalias.c patch-vpgsql.c 
                         patch-vpopmail.c patch-vutil.c 
                         sql-remove-deleted.patch 
                         vchkpw-smtp-auth.patch 
  Added files:
    mail/vpopmail/files  patch-storage.h patch-vldap.c 
  Log:
  Update to vpopmail-5.4.28.
  From the PR - fix the creation of new domains through LDAP.
  
  PR:             131274
  Submitted by:   Suzuki <xsuzu@yokohama.riken.jp>
  
  Revision  Changes    Path
  1.77      +9 -2      ports/mail/vpopmail/Makefile
  1.31      +3 -3      ports/mail/vpopmail/distinfo
  1.4       +7 -4      ports/mail/vpopmail/files/Makefile.in-noportdocs.patch
  1.8       +10 -89    ports/mail/vpopmail/files/patch-Makefile.in
  1.3       +6 -3      ports/mail/vpopmail/files/patch-README.onchange
  1.3       +6 -3      ports/mail/vpopmail/files/patch-README.vdelivermail
  1.4       +6 -3      ports/mail/vpopmail/files/patch-README.vpopmaild
  1.2       +33 -29    ports/mail/vpopmail/files/patch-authvchkpw.c
  1.2       +9 -6      ports/mail/vpopmail/files/patch-backfill.c
  1.3       +4 -1      ports/mail/vpopmail/files/patch-cdb-Makefile
  1.7       +5 -2      ports/mail/vpopmail/files/patch-config.h.in
  1.16      +38 -32    ports/mail/vpopmail/files/patch-configure
  1.1       +59 -0     ports/mail/vpopmail/files/patch-storage.h (new)
  1.12      +10 -5     ports/mail/vpopmail/files/patch-vdelivermail.c
  1.1       +16 -0     ports/mail/vpopmail/files/patch-vldap.c (new)
  1.3       +6 -2      ports/mail/vpopmail/files/patch-vlist.c
  1.3       +12 -8     ports/mail/vpopmail/files/patch-vlistlib.c
  1.4       +13 -10    ports/mail/vpopmail/files/patch-vmysql.c
  1.5       +4 -1      ports/mail/vpopmail/files/patch-vpalias.c
  1.6       +7 -5      ports/mail/vpopmail/files/patch-vpgsql.c
  1.7       +15 -10    ports/mail/vpopmail/files/patch-vpopmail.c
  1.3       +6 -2      ports/mail/vpopmail/files/patch-vutil.c
  1.3       +6 -3      ports/mail/vpopmail/files/sql-remove-deleted.patch
  1.4       +5 -2      ports/mail/vpopmail/files/vchkpw-smtp-auth.patch
  1.18      +5 -0      ports/mail/vpopmail/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Peter Pentchev freebsd_committer 2009-11-27 09:06:39 UTC
State Changed
From-To: open->closed

I included this patch in the update to vpopmail-5.4.28.  Thanks!